Request
curl -X POST https://sandbox.api.lendeasy.ai/v1/servicing/queues/$QUEUE_ID/tasks/reserve-next \
-H "Authorization: Bearer $TOKEN" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{
"workerId": "worker_ANA_4",
"skills": [
"collections",
"english"
],
"reservationSeconds": 120
}'
await fetch(`https://sandbox.api.lendeasy.ai/v1/servicing/queues/${queueId}/tasks/reserve-next`, {
method: "POST",
headers: { Authorization: `Bearer ${token}`, "Idempotency-Key": idempotencyKey, "Content-Type": "application/json" },
body: JSON.stringify({
"workerId": "worker_ANA_4",
"skills": [
"collections",
"english"
],
"reservationSeconds": 120
}),
});
requests.post(
f"https://sandbox.api.lendeasy.ai/v1/servicing/queues/{queue_id}/tasks/reserve-next",
headers={"Authorization": f"Bearer {token}", "Idempotency-Key": idempotency_key},
json={
"workerId": "worker_ANA_4",
"skills": [
"collections",
"english"
],
"reservationSeconds": 120
},
)
{
"taskId": "task_HBR_CALL_8",
"caseId": "case_HBR_COL_51",
"type": "outbound_contact",
"status": "reserved",
"priority": 82,
"queueId": "queue_early_collections",
"dueAt": "2027-05-01T17: 00: 00-07: 00",
"reservedBy": "worker_ANA_4",
"reservationExpiresAt": "2027-05-01T10: 02: 00-07: 00"
}
{
"type": "https://docs.lendeasy.ai/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"code": "unauthorized",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/forbidden",
"title": "Forbidden",
"status": 403,
"code": "forbidden",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/version_conflict",
"title": "Version Conflict",
"status": 409,
"code": "version_conflict",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/validation_error",
"title": "Validation Error",
"status": 422,
"code": "validation_error",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/rate_limited",
"title": "Rate Limited",
"status": 429,
"code": "rate_limited",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}